> ## Documentation Index
> Fetch the complete documentation index at: https://docs.theauthapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post access keys



## OpenAPI

````yaml post /access-keys
openapi: 3.0.0
info:
  title: Auth API
  description: Auth API swagger spec
  version: 0.3.4
  contact: {}
servers:
  - url: https://api.theauthapi.com
security: []
tags:
  - name: auth_api_v1
    description: ''
paths:
  /access-keys:
    post:
      operationId: AccessKeysController_generateAccessKey
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAccessKeyDTO'
      responses:
        '201':
          description: ''
components:
  schemas:
    CreateAccessKeyDTO:
      type: object
      properties:
        rateLimit:
          type: number
        rateLimitTtl:
          type: number
        name:
          type: string
        accountId:
          type: string
        projectId:
          type: string
      required:
        - name

````